Skip to content

Verify PayChoice Credentials

POST
/api/admin/merchants/{id}/paychoice/verify
curl --request POST \
--url https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/paychoice/verify \
--header 'Authorization: Bearer <token>'

Verify the merchant’s PayChoice credentials and refresh a pending widget GUID.

id
required
string format: uuid

OK

Media type application/json
object
outcome
string
Allowed values: Ok NotFound MissingCredentials NoProfile GatewayError
merchant
object
id
string format: uuid
name
string
nullable
description
string
nullable
contactEmail
string
nullable
contactPhone
string
nullable
country
string
nullable
timeZone
string
nullable
isActive
boolean
gatewayConfigured
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
paychoiceEnvironment
string
Allowed values: Staging Production
merchantGuidConfigured
boolean
paychoiceMerchantProfileId
string
nullable
billingRetryOffsetsDays
string
nullable
billingTerminalAction
string
Allowed values: Cancel Suspend
bankSettlementWindowDays
integer format: int32
guidRefreshed
boolean
message
string
nullable
Example
{
"outcome": "Ok",
"merchant": {
"paychoiceEnvironment": "Staging",
"billingTerminalAction": "Cancel"
}
}

Bad Request

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Bad Gateway